# PHP_CodeSniffer_Reports_PhingRemoveFromCache

Implements \PHP_CodeSniffer_Report

Remove from cache files where contains errors

category | PHP
package | PHP_CodeSniffer
author | Rui Filipe Da Cunha Alves ruifil@ruifil.com

### Methods

## Do nothing

    generate(string $cachedData, integer $totalFiles, integer $totalErrors, integer $totalWarnings, integer $totalFixable, boolean $showSources = false, integer $width = 80, boolean $toScreen = true) : void

### Arguments

#### $cachedData

`string`

Any partial report data that was returned from generateFileReport during the run.

#### $totalFiles

`integer`

Total number of files processed during the run.

#### $totalErrors

`integer`

Total number of errors found during the run.

#### $totalWarnings

`integer`

Total number of warnings found during the run.

#### $totalFixable

`integer`

Total number of problems that can be fixed.

#### $showSources

`boolean`

Show sources?

#### $width

`integer`

Maximum allowed line width.

#### $toScreen

`boolean`

Is the report being printed to screen?

## Remove file from cache if contains errors

    generateFileReport(array $report, \PHP_CodeSniffer_File $phpcsFile, boolean $showSources = false, integer $width = 80) : boolean

### Arguments

#### $report

`array`

Prepared report data.

#### $phpcsFile

`\PHP_CodeSniffer_File`

The file being reported on.

#### $showSources

`boolean`

Show sources?

#### $width

`integer`

Maximum allowed line width.

### Response

`boolean`

## Set cache object

    setCache(\DataStore $cache)

static

### Arguments

#### $cache

`\DataStore`

### Properties

## Cache data storage

    cache : \DataStore

static

var |

### Type(s)

`\DataStore`